Bug 1231951 - Review Request: springframework-data-mongodb - MongoDB support for Spring Data
Summary: Review Request: springframework-data-mongodb - MongoDB support for Spring Data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1178257 1231953
Blocks: 1215061
TreeView+ depends on / blocked
 
Reported: 2015-06-15 16:56 UTC by gil cattaneo
Modified: 2015-07-13 19:16 UTC (History)
2 users (show)

Fixed In Version: springframework-data-mongodb-1.5.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 19:16:35 UTC
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-06-15 16:56:06 UTC
Spec URL: https://gil.fedorapeople.org/springframework-data-mongodb.spec
SRPM URL: https://gil.fedorapeople.org/springframework-data-mongodb-1.5.2-1.fc20.src.rpm
Description:
The Spring Data MongoDB project provides integration with the
MongoDB document database. Key functional areas of Spring
Data MongoDB are a POJO centric model for interacting with a
MongoDB DBCollection and easily writing a Repository style
data access layer.
Fedora Account System Username: gil

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-06-18 18:06:25 UTC
There's something strange in the spec file after %install... Please check.

Comment 2 gil cattaneo 2015-06-18 20:13:35 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> There's something strange in the spec file after %install... Please check.

cleanup spec file, my apologize for the incovenience

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-06-18 20:47:22 UTC
Build fails for me with (using current rawhide and newly built querydsl3):

[ERROR] /builddir/build/BUILD/spring-data-mongodb-1.5.2.RELEASE/spring-data-mongodb/src/main/java/org/springframework/data/mongodb/repository/support/QueryDslMongoRepository.java:[47,8] org.springframework.data.mongodb.repository.support.QueryDslMongoRepository is not abstract and does not override abstract method count(com.querydsl.core.types.Predicate) in org.springframework.data.querydsl.QueryDslPredicateExecutor

Comment 4 gil cattaneo 2015-06-18 21:03:02 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> Build fails for me with (using current rawhide and newly built querydsl3):
> 
> [ERROR]
> /builddir/build/BUILD/spring-data-mongodb-1.5.2.RELEASE/spring-data-mongodb/
> src/main/java/org/springframework/data/mongodb/repository/support/
> QueryDslMongoRepository.java:[47,8]
> org.springframework.data.mongodb.repository.support.QueryDslMongoRepository
> is not abstract and does not override abstract method
> count(com.querydsl.core.types.Predicate) in
> org.springframework.data.querydsl.QueryDslPredicateExecutor

see https://jira.spring.io/browse/DATACMNS-670
we should use querydsl3. soon rebuild some package with querydsl3 e.g. springframework-data-commons

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-06-18 21:56:45 UTC
OK. So let me know when I can continue with the review.

Comment 6 gil cattaneo 2015-06-18 23:10:57 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> OK. So let me know when I can continue with the review.

Sure, thanks!

Comment 7 gil cattaneo 2015-06-19 14:56:57 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> Build fails for me with (using current rawhide and newly built querydsl3):
> 
> [ERROR]
> /builddir/build/BUILD/spring-data-mongodb-1.5.2.RELEASE/spring-data-mongodb/
> src/main/java/org/springframework/data/mongodb/repository/support/
> QueryDslMongoRepository.java:[47,8]
> org.springframework.data.mongodb.repository.support.QueryDslMongoRepository
> is not abstract and does not override abstract method
> count(com.querydsl.core.types.Predicate) in
> org.springframework.data.querydsl.QueryDslPredicateExecutor

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10166018

Comment 8 gil cattaneo 2015-06-19 15:18:01 UTC
is ready, sorry for the incovenience
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10166146

Comment 9 Zbigniew Jędrzejewski-Szmek 2015-06-27 18:38:33 UTC
(In reply to gil cattaneo from comment #8)
> is ready, sorry for the incovenience
No, no problem really.

> Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10166146

[-] not applicable
[x] OK
[!] issue

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
Using koji build above.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 45 files have unknown
     license. Detailed output of licensecheck in /var/tmp/review-
     springframework-data-mongodb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 409600 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: Reviewer should test that the package builds in mock.
Builds in koji.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     springframework-data-mongodb-log4j , springframework-data-mongodb-
     parent , springframework-data-mongodb-javadoc
OK.
[x]: Package functions as described.
This will be tested by the dependent package in review.
[!]: Latest version is packaged.
See comment below.

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1515520 bytes in /usr/share
Eh, fedora-review is confused here. All packages are noarch.

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: springframework-data-mongodb-1.5.2-1.fc23.noarch.rpm
          springframework-data-mongodb-log4j-1.5.2-1.fc23.noarch.rpm
          springframework-data-mongodb-parent-1.5.2-1.fc23.noarch.rpm
          springframework-data-mongodb-javadoc-1.5.2-1.fc23.noarch.rpm
          springframework-data-mongodb-1.5.2-1.fc23.src.rpm
springframework-data-mongodb.noarch: W: spelling-error %description -l en_US centric -> eccentric, centrist, concentric
springframework-data-mongodb-parent.noarch: W: no-documentation
springframework-data-mongodb.src: W: spelling-error %description -l en_US centric -> eccentric, centrist, concentric
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
springframework-data-mongodb-parent.noarch: W: no-documentation
springframework-data-mongodb.noarch: W: spelling-error %description -l en_US centric -> eccentric, centrist, concentric
4 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
springframework-data-mongodb-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

springframework-data-mongodb-parent (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(net.sf.cglib:cglib)
    mvn(org.mongodb:mongo-java-driver)

springframework-data-mongodb-log4j (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(log4j:log4j:1.2.17)
    mvn(net.sf.cglib:cglib)
    mvn(org.mongodb:mongo-java-driver)

springframework-data-mongodb (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(net.sf.cglib:cglib)
    mvn(org.mongodb:mongo-java-driver)
    mvn(org.springframework.data:spring-data-commons)
    mvn(org.springframework:spring-beans)
    mvn(org.springframework:spring-context)
    mvn(org.springframework:spring-core)
    mvn(org.springframework:spring-expression)
    mvn(org.springframework:spring-tx)



Provides
--------
springframework-data-mongodb-javadoc:
    springframework-data-mongodb-javadoc

springframework-data-mongodb-parent:
    mvn(org.springframework.data:spring-data-mongodb-parent:pom:)
    springframework-data-mongodb-parent

springframework-data-mongodb-log4j:
    mvn(org.springframework.data:spring-data-mongodb-log4j)
    mvn(org.springframework.data:spring-data-mongodb-log4j:pom:)
    osgi(org.springframework.data.mongodb.log4j)
    springframework-data-mongodb-log4j

springframework-data-mongodb:
    mvn(org.springframework.data:spring-data-mongodb)
    mvn(org.springframework.data:spring-data-mongodb:pom:)
    osgi(org.springframework.data.mongodb)
    springframework-data-mongodb



Source checksums
----------------
https://github.com/spring-projects/spring-data-mongodb/archive/1.5.2.RELEASE.tar.gz :
  CHECKSUM(SHA256) this package     : f66ee3794be2525726a62f8fc4d4c893bbbc6c6b8552935fbaccf0594347fbdc
  CHECKSUM(SHA256) upstream package : f66ee3794be2525726a62f8fc4d4c893bbbc6c6b8552935fbaccf0594347fbdc


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -p -n springframework-data-mongodb
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

== Suggestions ==
I think the standard trick of using
%global _docdir_fmt %{name}
would help by reducing unnecessary directories with the same files for all the subpackages.

The latest version is not packaged. I see the comment in the spec file that the latest
versions would require newer springframework. Is there a bug open for the update?

Everything seems OK. Package is APPROVED.

Comment 10 gil cattaneo 2015-06-27 18:49:17 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #9)

> == Suggestions ==
> I think the standard trick of using
> %global _docdir_fmt %{name}
> would help by reducing unnecessary directories with the same files for all
> the subpackages.
> 
> The latest version is not packaged. I see the comment in the spec file that
> the latest
> versions would require newer springframework. Is there a bug open for the
> update?
No, for now we have no plan to upgrade springframework (breaks a lot of packages)
> Everything seems OK. Package is APPROVED.

Thanks!

New Package SCM Request
=======================
Package Name: springframework-data-mongodb
Short Description: MongoDB support for Spring Data
Upstream URL: http://projects.spring.io/spring-data-mongodb/
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 11 Gwyn Ciesla 2015-06-29 16:00:53 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-06-30 02:28:59 UTC
springframework-data-mongodb-1.5.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/springframework-data-mongodb-1.5.2-1.fc22

Comment 13 Fedora Update System 2015-06-30 20:15:50 UTC
springframework-data-mongodb-1.5.2-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 14 Fedora Update System 2015-07-13 19:16:35 UTC
springframework-data-mongodb-1.5.2-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.